package com.huiju.estateagents.miniPackage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 会员套餐记录 
 * </p>
 *
 * @author wxx
 * @since 2020-06-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaUserPackages implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 用户ID
     */
    private Integer userId;

    /**
     * 套餐ID
     */
    private Integer packId;

    /**
     * 购买时间
     */
    private LocalDateTime createDate;

    /**
     * 启用时间
     */
    private LocalDateTime startDate;

    /**
     * 结束时间
     */
    private LocalDateTime endDate;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 对应系统角色
     */
    private Integer roleId;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 套餐名称
     */
    @TableField(exist = false)
    private String standName;

    /**
     * 显示名称
     */
    @TableField(exist = false)
    private String name;

    /**
     * 套餐价格 单位分
     */
    @TableField(exist = false)
    private Integer price;

    /**
     * 时长
     */
    @TableField(exist = false)
    private Integer amount;
}
